org.apache.solr.client.solrj.beans

## Annotation Type Field

    @Target(value={FIELD,METHOD})
    @Retention(value=RUNTIME)
    public @interface Field

This class can be used to annotate a field or a setter an any class and SlrJ would help you convert to SolrInputDocument and from SolrDocument

Since:
  solr 1.3

### Optional Element Summary

Optional Elements
`boolean` `child`
`String` `value`

### Element Detail

#### child

    public abstract boolean child

Default:
  false

#### value

    public abstract String value

Default:
  "#default"